Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
re_registers Struct Reference

`#include <oniguruma.h>`

## Data Fields
int | allocated
int | num_regs
OnigPosition * | beg
OnigPosition * | end
OnigCaptureTreeNode * | history_root

## Detailed Description

Definition at line 613 of file ripper.y.

## Field Documentation

int re_registers::allocated

Definition at line 614 of file ripper.y.

Referenced by onig_region_free(), onig_region_init(), onig_region_memsize(), onig_region_resize(), and onig_region_set().

OnigPosition * re_registers::beg

Definition at line 616 of file ripper.y.

Referenced by match_array(), match_at(), match_equal(), match_hash(), onig_name_to_backref_number(), onig_region_clear(), onig_region_copy(), onig_region_free(), onig_region_init(), onig_region_memsize(), onig_region_resize(), onig_region_set(), strscan_aref(), strscan_get_byte(), strscan_getch(), strscan_matched(), strscan_matched_size(), and strscan_pre_match().

OnigPosition * re_registers::end

Definition at line 617 of file ripper.y.

Referenced by match_array(), match_at(), match_equal(), match_hash(), onig_region_clear(), onig_region_copy(), onig_region_free(), onig_region_init(), onig_region_memsize(), onig_region_resize(), onig_region_set(), strscan_aref(), strscan_do_scan(), strscan_get_byte(), strscan_getch(), strscan_matched(), strscan_matched_size(), and strscan_post_match().

OnigCaptureTreeNode * re_registers::history_root

Definition at line 619 of file ripper.y.

Referenced by match_at(), onig_region_copy(), and onig_region_init().

int re_registers::num_regs

Definition at line 615 of file ripper.y.

Referenced by match_array(), match_begin(), match_end(), match_equal(), match_hash(), match_init_copy(), match_inspect(), match_offset(), match_values_at(), onig_region_clear(), onig_region_copy(), onig_region_init(), onig_region_resize(), rb_reg_match_last(), rb_reg_nth_defined(), rb_reg_nth_match(), rb_reg_regsub(), rb_str_split_m(), rb_str_subpat_set(), scan_once(), strscan_aref(), and update_char_offset().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h